Bug 177786 - up2date unselects all packages if select-all is checked and user selects "back"
Summary: up2date unselects all packages if select-all is checked and user selects "back"
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: All Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Beth Nackashi
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 164831 168430
TreeView+ depends on / blocked
 
Reported: 2006-01-13 22:38 UTC by Beth Nackashi
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHBA-2006-0098
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 19:02:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2006:0098 qe-ready SHIPPED_LIVE up2date bug fix update 2006-03-06 05:00:00 UTC

Description Beth Nackashi 2006-01-13 22:38:40 UTC
Description of problem:
Running up2date gui, on the "Available Package Updates" panel:  if you check
"Select all packages", then "Back" then "Forward", the "Select all packages" box
remains checked but all packages are now unchecked.  If you try to move forward
at that point, no packages will be installed.


Version-Release number of selected component (if applicable):
up2date-4.4.55-4

How reproducible:
always

Steps to Reproduce:
1.  Start up2date gui.
2.  Keep clicking "Forward" until the "Available Package Updates" panel appears.
3.  Click "Select all packages".  Notice all packages are checked.
4.  Click "Back".
5.  Click "Forward".
  
Actual results:
"Select all packages" is still checked, but none of the individual packages are
checked anymore.  Now if you try to proceed, up2date will happily not install
any packages.

Expected results:
"Select all packages" is still checked, and all of the individual packages are
still checked.

Additional info:

Comment 1 Adrian Likins 2006-01-17 21:18:47 UTC
up2date-4.4.59

Comment 2 Beth Nackashi 2006-01-19 19:32:44 UTC
verified fix is in up2date-4.4.60-4 for i386, ia64, and x86_64

Comment 3 Suzanne Yeghiayan 2006-01-25 17:58:34 UTC
Changing from RHEL4U3CanFix to RHEL4U3MustFix as per Jan 24 minutes.

Comment 5 Red Hat Bugzilla 2006-03-07 19:02:24 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0098.html



Note You need to log in before you can comment on or make changes to this bug.